## ICalParameter ICalParameter |

## Functions

ICalParameter * | i_cal_parameter_new ()
ICalParameter * | i_cal_parameter_clone ()
ICalParameter * | i_cal_parameter_new_from_string ()
ICalParameter * | i_cal_parameter_new_from_value_string ()
void | i_cal_parameter_free ()
gchar * | i_cal_parameter_as_ical_string ()
ICalParameterKind | i_cal_parameter_isa ()
gint | i_cal_parameter_isa_parameter ()
void | i_cal_parameter_set_xname ()
const gchar * | i_cal_parameter_get_xname ()
void | i_cal_parameter_set_xvalue ()
const gchar * | i_cal_parameter_get_xvalue ()
void | i_cal_parameter_set_iana_name ()
const gchar * | i_cal_parameter_get_iana_name ()
void | i_cal_parameter_set_iana_value ()
const gchar * | i_cal_parameter_get_iana_value ()
gint | i_cal_parameter_has_same_name ()
const gchar * | i_cal_parameter_kind_to_string ()
ICalParameterKind | i_cal_parameter_kind_from_string ()
gboolean | i_cal_parameter_kind_is_valid ()

## Types and Values

| ICalParameter
struct | ICalParameterClass

## Object Hierarchy

        GObject
        ╰── ICalObject
            ╰── ICalParameter

## Description

## Functions

### i_cal_parameter_new ()

    ICalParameter *
    i_cal_parameter_new (ICalParameterKind v);

Creates a new ICalParameter according to the kind type.

#### Parameters

v | The type of ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_clone ()

    ICalParameter *
    i_cal_parameter_clone (ICalParameter *p);

Deep clone a ICalParameter.

#### Parameters

p | The ICalParameter to be cloned. | [in]

#### Returns

The newly created ICalParameter with the same properties as the `p` .

[transfer full]

Since: 1.0

### i_cal_parameter_new_from_string ()

    ICalParameter *
    i_cal_parameter_new_from_string (const gchar *value);

Creates a ICalParameter from a string of form "PARAMNAME=VALUE".

#### Parameters

value | The string from which the ICalParameter is created. | [in][transfer none]

#### Returns

The newly created $ICalParameter with the properties specified in the `value` .

[transfer full]

Since: 1.0

### i_cal_parameter_new_from_value_string ()

    ICalParameter *
    i_cal_parameter_new_from_value_string (ICalParameterKind kind,
                                           const gchar *value);

Creates a new ICalParameter from just the value, the part after the "="

#### Parameters

kind | The kind of ICalParameter to be created |
value | The string from which ICalParameter to be created |

#### Returns

The newly created ICalParameter.

[transfer full]

Since: 1.0

### i_cal_parameter_free ()

    void
    i_cal_parameter_free (ICalParameter *parameter);

Frees the native part of the ICalParameter.

[skip]

#### Parameters

parameter | The ICalParameter to be freeed. | [in]

Since: 1.0

### i_cal_parameter_as_ical_string ()

    gchar *
    i_cal_parameter_as_ical_string (ICalParameter *parameter);

Converts an ICalParameter to the string representation.

#### Parameters

parameter | The ICalParameter to be converted. | [in]

#### Returns

The string representation of the `parameter` .

[transfer full]

Since: 1.0

### i_cal_parameter_isa ()

    ICalParameterKind
    i_cal_parameter_isa (ICalParameter *parameter);

Checks the type of a ICalParameter.

#### Parameters

parameter | The ICalParameter to be determined for the type |

#### Returns

The type of the `parameter` .

Since: 1.0

### i_cal_parameter_isa_parameter ()

    gint
    i_cal_parameter_isa_parameter (ICalParameter *param);

Checks whether the native part of the ICalParameter is of type icalparameter.

#### Parameters

param | The ICalParameter to be checked. | [in]

#### Returns

1 if the native part is of type icalparameter, 0 if not.

Since: 1.0

### i_cal_parameter_set_xname ()

    void
    i_cal_parameter_set_xname (ICalParameter *param,
                               const gchar *v);

Sets the xname property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter of which the xname to be set |
v | The name to be set into the `param` |

Since: 1.0

### i_cal_parameter_get_xname ()

    const gchar *
    i_cal_parameter_get_xname (ICalParameter *param);

Gets the xname property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[allow-none]

Since: 1.0

### i_cal_parameter_set_xvalue ()

    void
    i_cal_parameter_set_xvalue (ICalParameter *param,
                                const gchar *v);

Sets the xvalue property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter of which the xvalue to be set |
v | The value to be set into the `param` |

Since: 1.0

### i_cal_parameter_get_xvalue ()

    const gchar *
    i_cal_parameter_get_xvalue (ICalParameter *param);

Gets the xvalue property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[allow-none]

Since: 1.0

### i_cal_parameter_set_iana_name ()

    void
    i_cal_parameter_set_iana_name (ICalParameter *param,
                                   const gchar *v);

Sets the iana_name property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter of which the iana_name to be set |
v | The name to be set into the `param` |

Since: 1.0

### i_cal_parameter_get_iana_name ()

    const gchar *
    i_cal_parameter_get_iana_name (ICalParameter *param);

Gets the iana_name property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[allow-none]

Since: 1.0

### i_cal_parameter_set_iana_value ()

    void
    i_cal_parameter_set_iana_value (ICalParameter *param,
                                    const gchar *v);

Sets the iana_value property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter of which the iana_value to be set |
v | The value to be set into the `param` |

Since: 1.0

### i_cal_parameter_get_iana_value ()

    const gchar *
    i_cal_parameter_get_iana_value (ICalParameter *param);

Gets the iana_value property of the native part of the ICalParameter.

#### Parameters

param | The ICalParameter to be queried |

#### Returns

The property of the `value` .

[allow-none]

Since: 1.0

### i_cal_parameter_has_same_name ()

    gint
    i_cal_parameter_has_same_name (ICalParameter *param1,
                                   ICalParameter *param2);

Checks whether native parts of two ICalParameters have the same name.

#### Parameters

param1 | The ICalParameter to be checked |
param2 | The ICalParameter to be checked |

#### Returns

1 if the parameters have the same name, 0 or not.

Since: 1.0

### i_cal_parameter_kind_to_string ()

    const gchar *
    i_cal_parameter_kind_to_string (ICalParameterKind kind);

Converts the ICalParameter to the string representation.

#### Parameters

kind | The ICalParameterKind to be converted |

#### Returns

The string representation of `kind` .

Since: 1.0

### i_cal_parameter_kind_from_string ()

    ICalParameterKind
    i_cal_parameter_kind_from_string (const gchar *string);

Converts a string to the ICalParameterKind.

#### Parameters

string | The string representation of the ICalParameter |

#### Returns

The ICalParameterKind converted from `string`

Since: 1.0

### i_cal_parameter_kind_is_valid ()

    gboolean
    i_cal_parameter_kind_is_valid (const ICalParameterKind kind);

Checks whether ICalParameterKind is valid.

#### Parameters

kind | The ICalPropertyKind |

#### Returns

1 if valid, 0 if not.

Since: 3.0.5

## Types and Values

### ICalParameter

    typedef struct _ICalParameter ICalParameter;

This is the ICalParameter instance.

### struct ICalParameterClass

    struct ICalParameterClass {
    };

This is the ICalParameter class.